antiprism-0.23
Up Next

# jitterbug - jitterbug transformation

Usage | Examples | Notes

## Usage

    Usage: jitterbug [options] [cycle_stage]

    Create a stage of the jitterbug transformation in OFF format. The
    cycles run from 0.0 to 1.0. The fractional part of cycle_stage
    is tied to a stage in a full rotation jitterbug. This stage is
    measured by the distance travelled by a point moving around a square
    which halves a cube of edge 0.25, and which determines the jitterbug
    shape.

    Options
      -h,--help this help message (run 'off_util -H help' for general help)
      --version version information
      -f <fces> faces to include:              x - none
                  a - all
                  e - equilateral triangles (default)
                  o - other triangles
      -c <cyc>  cycle type:
                  f - full rotation
                  o - alternating between left and_ang(cyc_val) right octahedron stages
                  r - rolling between left and right octahedron stages
                  i - alternating between left and right icosahedron stages
      -l <size> lattice size, nummber of jitterbugs along an edge (default 1)
      -r        allow lattice reversal by fixing connections between
                jitterbug neighbours
      -t        fix an opposing pair of triangles, stopping them from rotating
      -T        rotate so equilateral triangle is on top (suports -t)
      -o <file> write output to file (default: write to standard output)

## Examples

Octahedron stage of full jitterbug, include only the equilateral triangles

    jitterbug -f e 0.125 > jb_oct.off

Icosahedron stage of icosahedron cycle jitterbug, in 3x3x3 lattice

    jitterbug -c i -l 3 0.75 > jb_ico.off

## Notes

The models are based on R. Buckminster Fuller's jitterbug transformation.

The equilateral faces are given colour index 1, and the other faces have colour index 2. The faces can easily be given colour values using the off_color program. E.g.

       jitterbug -c i -l 3 0.75 | off_color -c 2 > jb_ico_col.off

Up: Programs and Documentation
Next: poly_weave - weave based on a polyhedron